import { MailgunClientOptions, CreateUpdateList, DestroyedList, MailingList, MailgunMessageData, MessagesSendResult, CreateUpdateMailListMembers, DeletedMember, MailListMember, MailListMembersQuery, MailListMembersResult, MultipleMembersData, NewMultipleMembersResponse, ValidationResult, APIErrorType } from 'mailgun.js';
export type MailgunError = APIErrorType;
export declare class MailgunService {
    private readonly configuration;
    private readonly mailgun;
    constructor(configuration: MailgunClientOptions);
    createEmail: (domain: string, data: MailgunMessageData) => Promise<MessagesSendResult>;
    validateEmail: (email: string) => Promise<ValidationResult>;
    createList: (data: CreateUpdateList) => Promise<MailingList>;
    destroyList: (mailListAddress: string) => Promise<DestroyedList>;
    getList: (mailListAddress: string) => Promise<MailingList>;
    updateList: (mailListAddress: string, data: CreateUpdateList) => Promise<MailingList>;
    listAddMember: (mailListAddress: string, data: CreateUpdateMailListMembers) => Promise<MailListMember>;
    listGetMembers: (mailListAddress: string, query?: MailListMembersQuery) => Promise<MailListMembersResult>;
    listCreateMembers: (mailListAddress: string, data: MultipleMembersData) => Promise<NewMultipleMembersResponse>;
    listupdateMember: (address: string, memberAddress: string, data: CreateUpdateMailListMembers) => Promise<MailListMember>;
    listDestroyMember: (address: string, memberAddress: string) => Promise<DeletedMember>;
}
